type Formatter<T, O> = (data: T) => O;
export declare class VFile<T extends string | object = string | object, Info extends Hash = {}> {
    get path(): NormalizedPath;
    set path(value: RelativePath);
    get data(): T;
    set data(value: T);
    get info(): Info;
    set info(value: Info);
    private _path;
    private _data;
    private _info;
    private _format;
    constructor(path: RelativePath, data: T, formatter?: Formatter<T, string>);
    copy(path?: RelativePath): VFile<T, {}>;
    format(formatter: Formatter<T, string>): void;
    toString(): string;
}
export {};
